﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace TabControl_WPF_DynamicHeader
{
	public class MainViewModel : ViewModelBase
	{
		public MainViewModel ( )
		{
			this.items = new ObservableCollection<DataItem> ( );
			CreateItems ( );
		}
		
		private ObservableCollection<DataItem> items;
		private void CreateItems()
		{
			for ( int i = 0; i < 3; i++ )
			{
				this.items.Add ( new DataItem ( ) { Header = string.Format ( "Header {0}", i ), Content = string.Format ( "Content of Item {0}", i ) } );
			}
		}

		/// <summary>
		///     Gets or sets the name.
		/// </summary>
		public ObservableCollection<DataItem> Items
		{
			get
			{
				return this.items;
			}
			internal set
			{
				if ( this.items != value )
				{
					this.items = value;
					OnPropertyChanged ( "Items" );
				}
			}
		}
        
	}
}
